# RPM specfile for red-carpet module
# Generated Thu Jul 12 21:17:47 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: helix-build.conf,v 1.64 2001/07/12 20:57:56 peter Exp $

%define nam	red-carpet
%define ver	1.0.91

Name:     	rdcarpet
Version: 	1.0.91
Release:	ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
URL:		http://www.ximian.com/
Source0:	red-carpet-1.0.91.tar.gz
Source1:	imlib-1.9.10.tar.gz
Source2:	gdk-pixbuf-0.11.0.tar.gz
Source3:	red-carpet-magic-scripts.tar.gz
Patch0:		rc-imlib-only-the-library.patch
Patch1:		rc-gdk-pixbuf-only-the-library.patch
Summary:	Ximian's next-generation software manager and updater
Group:		System Environment/Applications
Requires:	usermode

%description
Ximian Red Carpet is a fully featured software updater and manager.

%files
%defattr(-, root, root)
/etc/pam.d/*
/etc/security/console.apps/real-carpet
/opt/gnome/bin/*
/opt/gnome/sbin/*
/opt/gnome/share/gnome/apps/System/*
/opt/gnome/share/locale/*
/opt/gnome/share/pixmaps/*
/opt/gnome/share/redcarpet/*


%post
ldconfig

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup -c -q -D -n red-carpet
    ;;
all)
%setup -c -q -n red-carpet
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%setup -c -n red-carpet -q -D -T -a 1
%setup -c -n red-carpet -q -D -T -a 2
%setup -c -n red-carpet -q -D -T -a 3
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    ./magic-prepare.sh ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var --enable-static-binary --enable-backend-rpm3-static --with-rpm-static-libs=/usr/lib/librpm.a@/usr/lib/libpopt.a@/usr/lib/libz.a@/usr/lib/libbz2.a@/usr/lib/libdb1.a --with-imlib=`pwd`/imlib-1.9.10 --with-gdk-pixbuf=`pwd`/gdk-pixbuf-0.11.0 --enable-console-helper
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ./magic-compile.sh ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    (./magic-install.sh ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var sysconfdir=${DESTDIR}/etc) && mv -f ${DESTDIR}/etc/pam.d/red-carpet-pam ${DESTDIR}/etc/pam.d/real-carpet | mv -f ${DESTDIR}/etc/security/console.apps/red-carpet-security ${DESTDIR}/etc/security/console.apps/real-carpet | true
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
